const express = require('express');
const router = express.Router();

const { asyncHandler, authUser } = require('../auth/checkAuth');

const previewProductController = require('../controller/previewProduct.controller');

router.post('/create', authUser, asyncHandler(previewProductController.createPreviewProduct));
router.get('/getAll', asyncHandler(previewProductController.getAllPreviewProduct));

module.exports = router;
